Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Jochen Friedrich <[email-masked]>
Date: Thu, 05 Jun 2008 17:52:00 +0200

Hi Grant,

> if you need explicit indexing then use an alias.  My opinion however
> is that explicit indexing is unnecessary and is just an artifact of
> current i2c subsystem internals.  There is already enough information
> in the device tree to match i2c devices with i2c busses without
> resorting to indexes.

True. However, there are currently drivers which need platform data for
its initialisation (like drivers/gpio/pca953x.c). Unless these drivers
are rewritten, they can't be loaded just by parsing the device tree, so
they must be loaded from platform init code and here the adapter index
is needed to attach the driver.

Thanks,
Jochen